#ifndef SERVER_ADDR_H
#define SERVER_ADDR_H
#ifdef __cplusplus
extern "C" {
#endif

typedef enum
{
    YUNXIN_MODULE       = 0,
    VOICE_MODULE        = 1,
    VOICE_AI_MODULE     = 2,
    SERVER_MODULE       = 3,
    LOG_MODULE          = 4,
    MARK_POINT_MODULE   = 5,
    TTS_MODULE          = 6,
    DC_MODULE           = 7,
    MAX_MODULE
} SERVER_MODULE_TYPE;

typedef enum
{
    DEV_MODE            = 0,
    TEST_MODE           = 1,
    PUBLISH_MODE        = 2,
    PUBLISH_PREBUILD    = 3,
    MAX_MODE
} SERVER_MODE_TYPE;

typedef enum
{
    VOICE_APP_KEY       = 0,
    VOICE_APP_SECRET    = 1,
    VOICE_MAX
} VOICE_KEYMAP_TYPE;

const char* SvrModeStr(SERVER_MODE_TYPE mode);
const char* SvrModuleStr(SERVER_MODULE_TYPE module);
void DumpCurServerAddr(const char* pTags);

void ServerManagerInit(void);
SERVER_MODE_TYPE GetCurrentServerMode(void);
void SetCurrentServerMode(SERVER_MODE_TYPE mode);

char* GetCurServerAddr(SERVER_MODULE_TYPE module);
char* GetCurVoiceKeyValue(VOICE_KEYMAP_TYPE keyMap);
#ifdef __cplusplus
}
#endif 
#endif
